This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 645602 - publican builds books with <refentry> incorrectly in HTML
publican builds books with <refentry> incorrectly in HTML
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-21 19:03 EDT by Don Domingo
Modified: 2010-11-23 23:16 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.3-0.fc13
Doc Type: Bug Fix
Doc Text:
Previously, when Publican built a book in multi-page HTML format, it did not create complete HTML anchors to any <refentry>s in the document. Therefore, although the table of contents would include links to the <refentry>s, these links did not work. Publican now creates the complete HTML anchor so that in multi-page HTML format, links to <refentry>s work as expected.
Story Points: ---
Clone Of:
Environment:
Fedora 13
Last Closed: 2010-10-27 18:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Jeff Fearn 2010-10-24 20:20:28 EDT
Fixed toc links for refentry in chunked HTML.

Fixed in build: 2.2-0%{?dist}.t56
Comment 2 Ruediger Landmann 2010-10-24 23:27:16 EDT
Verified fix with 2.2-0.fc13.t56 -- entries in table of contents link to correct spots in HTML pages.
Comment 3 Ruediger Landmann 2010-10-25 01:49:55 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, when Publican built a book in multi-page HTML format, it did not create complete HTML anchors to any <refentry>s in the document. Therefore, although the table of contents would include links to the <refentry>s, these links did not work. Publican now creates the complete HTML anchor so that in multi-page HTML format, links to <refentry>s work as expected.
Comment 4 Fedora Update System 2010-10-25 23:45:12 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 5 Fedora Update System 2010-10-27 18:47:54 EDT
publican-2.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.